import { inject as y, resolveComponent as _, createElementBlock as d, openBlock as a, createElementVNode as o, createBlock as u, createCommentVNode as v, createTextVNode as g, toDisplayString as l, createVNode as N, withCtx as f, defineComponent as k, provide as w, computed as m, Fragment as E, renderList as S } from "vue";
import { N as n, _ as p } from "./install-BuMO14Rb.js";
n.env.NODE_ENV;
n.env.NODE_ENV;
n.env.NODE_ENV;
const V = /* @__PURE__ */ Symbol(n.env.NODE_ENV !== "production" ? "router" : "");
n.env.NODE_ENV;
n.env.NODE_ENV;
function $() {
  return y(V);
}
const x = { class: "start-page-card" }, C = { class: "typo-heading-4 start-page-card__header" }, D = { class: "start-page-card__main-section" }, O = ["alt", "src"], L = { class: "typo-body-1 start-page-card__description" }, M = {
  __name: "start-page-card",
  props: {
    card: {
      type: Object,
      required: !0
    }
  },
  setup(e) {
    const t = $(), c = e, i = () => t.push(c.card.route);
    return (r, h) => {
      const s = _("wt-icon"), b = _("wt-button");
      return a(), d("article", x, [
        o("header", C, [
          e.card.disabled ? (a(), u(s, {
            key: 0,
            icon: "lock"
          })) : v("", !0),
          g(" " + l(e.card.name), 1)
        ]),
        o("section", D, [
          o("img", {
            alt: e.card.name,
            src: e.card.image
          }, null, 8, O),
          o("p", L, l(e.card.text), 1)
        ]),
        o("footer", null, [
          N(b, {
            disabled: e.card.disabled,
            class: "start-page-card__button",
            color: "secondary",
            wide: "",
            onClick: i
          }, {
            default: f(() => [
              g(l(r.$t("reusable.open")), 1)
            ], void 0, !0),
            _: 1
          }, 8, ["disabled"])
        ])
      ]);
    };
  }
}, B = /* @__PURE__ */ p(M, [["__scopeId", "data-v-e4560b27"]]), P = { class: "start-page-logo" }, j = ["src"], q = {
  __name: "start-page-logo",
  props: {
    logo: {
      type: String,
      required: !0
    }
  },
  setup(e) {
    return (t, c) => (a(), d("div", P, [
      o("img", { src: e.logo }, null, 8, j)
    ]));
  }
}, F = /* @__PURE__ */ p(q, [["__scopeId", "data-v-187dc1b4"]]), I = { class: "wt-start-page" }, K = { class: "wt-start-page__wrapper" }, R = /* @__PURE__ */ k({
  __name: "wt-start-page",
  props: {
    nav: {},
    appLogo: {},
    darkMode: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = e;
    w("darkMode", t.darkMode);
    const c = m(() => t.darkMode ? t.appLogo.dark : t.appLogo.light), i = m(() => t.nav.map((r) => ({
      ...r,
      image: t.darkMode ? r.images.dark : r.images.light
    })));
    return (r, h) => (a(), d("div", I, [
      e.appLogo ? (a(), u(F, {
        key: 0,
        logo: c.value
      }, null, 8, ["logo"])) : v("", !0),
      o("div", K, [
        (a(!0), d(E, null, S(i.value, (s) => (a(), u(B, {
          key: s.value,
          card: s
        }, null, 8, ["card"]))), 128))
      ])
    ]));
  }
}), A = /* @__PURE__ */ p(R, [["__scopeId", "data-v-85dd1b85"]]);
export {
  A as default
};
